{% extends 'am6.jinja2' %}
{% set adb_serial_number = '0000000000000142' %}
{% set device_info = [{'board_id': '0000000000000142'}] %}
{% set fastboot_serial_number = '0000000000000142' %}
{% set power_off_command = ['/usr/local/lab-scripts/am6_control lngmaster 7337 000006 off'] %}
{# Sending 000006 causes AM6 to boot from eMMC #}
{# Sending 00100a causes AM6 to boot from UART #}
{% set hard_reset_command = ['/usr/local/lab-scripts/am6_control lngmaster 7337 000006 on'] %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet lngmaster 7338'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set power_on_command = ['/usr/local/lab-scripts/am6_control lngmaster 7337 000006 on'] %}
{% set flash_cmds_order = ['update',
'ptable',
'partition',
'hyp',
'modem',
'rpm',
'sbl1',
'sbl2',
'sec',
'tz',
'aboot',
'boot',
'rootfs',
'vendor',
'system',
'cache',
'userdata'] %}
{% set recovery_mode_command = ['/usr/local/lab-scripts/am6_control lngmaster 7337 00100a on'] %}
{% set recovery_exit_command = ['/usr/local/lab-scripts/am6_control lngmaster 7337 000006 on'] %}

{% set sync_to_lava = {'device_type': 'am6', 'worker': 'lngmaster.lnglab', 'tags': [], 'aliases': []} %}